\name{Patterns-package}
\alias{Patterns-package}
\alias{Patterns}
\docType{package}
\title{The Patterns Package}
\description{
A modeling tool dedicated to biological network modeling. It allows for single or joint modeling of, for instance, genes and proteins. It starts with the selection of the actors that will be the used in the reverse engineering upcoming step. An actor can be included in that selection based on its differential measurement (for instance gene expression or protein abundance) or on its time course profile. Wrappers for actors clustering functions and cluster analysis are provided. It also allows reverse engineering of biological networks taking into account the observed time course patterns of the actors. Many inference functions are provided and dedicated to get specific features for the inferred network such as sparsity, robust links, high confidence links or stable through resampling links. Some simulation and prediction tools are also available for cascade networks. Example of use with microarray or RNA-Seq data are provided.
}
\details{
\tabular{ll}{
Package: \tab Patterns\cr
Type: \tab Package\cr
Version: \tab 0.9\cr
Date: \tab 2019-05-01\cr
License: \tab GNU 2.0\cr
}

}
\author{
This package has been written by Frederic Bertrand in collaboration with Myriam Maumy-Bertrand.
Maintainer:  <fbertran@math.unistra.fr>
}

\keyword{ package }

